Bug 977059 - [abrt] ibus-pinyin-1.5.0-1.fc17: PY::BopomofoEditor::updateLookupTableLabel: Process /usr/libexec/ibus-engine-pinyin was killed by signal 11 (SIGSEGV)
Summary: [abrt] ibus-pinyin-1.5.0-1.fc17: PY::BopomofoEditor::updateLookupTableLabel: ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-pinyin
Version: 17
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:45bb931cca5d8c06381a7bf30e3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-23 02:47 UTC by Ladyzillakilla
Modified: 2013-07-08 07:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-08 07:30:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (18.57 KB, text/plain)
2013-06-23 02:47 UTC, Ladyzillakilla
no flags Details
File: cgroup (128 bytes, text/plain)
2013-06-23 02:47 UTC, Ladyzillakilla
no flags Details
File: core_backtrace (1.78 KB, text/plain)
2013-06-23 02:47 UTC, Ladyzillakilla
no flags Details
File: dso_list (2.49 KB, text/plain)
2013-06-23 02:47 UTC, Ladyzillakilla
no flags Details
File: environ (725 bytes, text/plain)
2013-06-23 02:47 UTC, Ladyzillakilla
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-23 02:47 UTC, Ladyzillakilla
no flags Details
File: maps (7.67 KB, text/plain)
2013-06-23 02:47 UTC, Ladyzillakilla
no flags Details
File: open_fds (642 bytes, text/plain)
2013-06-23 02:47 UTC, Ladyzillakilla
no flags Details
File: proc_pid_status (804 bytes, text/plain)
2013-06-23 02:47 UTC, Ladyzillakilla
no flags Details
File: var_log_messages (654 bytes, text/plain)
2013-06-23 02:47 UTC, Ladyzillakilla
no flags Details

Description Ladyzillakilla 2013-06-23 02:47:30 UTC
Description of problem:
I tried to use the Bopomofo iBus, and the service crashed. 

Version-Release number of selected component:
ibus-pinyin-1.5.0-1.fc17

Additional info:
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-pinyin --ibus
crash_function: PY::BopomofoEditor::updateLookupTableLabel
executable:     /usr/libexec/ibus-engine-pinyin
kernel:         3.8.13-100.fc17.i686.PAE
runlevel:       N 5
uid:            1000
ureports_counter: 1

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 PY::BopomofoEditor::updateLookupTableLabel at PYBopomofoEditor.cc:214
 #1 PY::BopomofoEditor::updateLookupTable at PYBopomofoEditor.cc:243
 #2 PY::BopomofoEditor::processGuideKey at PYBopomofoEditor.cc:75
 #3 PY::BopomofoEditor::processKeyEvent at PYBopomofoEditor.cc:163
 #4 PY::BopomofoEngine::processKeyEvent at PYBopomofoEngine.cc:117
 #5 _ibus_marshal_BOOLEAN__UINT_UINT_UINT at ibusmarshalers.c:290
 #11 ibus_engine_service_method_call at ibusengine.c:816
 #12 ibus_service_service_method_call_cb at ibusservice.c:395
 #13 call_in_idle_cb at gdbusconnection.c:4687
 #19 ibus_main at ibusshare.c:295

Comment 1 Ladyzillakilla 2013-06-23 02:47:34 UTC
Created attachment 764221 [details]
File: backtrace

Comment 2 Ladyzillakilla 2013-06-23 02:47:36 UTC
Created attachment 764222 [details]
File: cgroup

Comment 3 Ladyzillakilla 2013-06-23 02:47:39 UTC
Created attachment 764223 [details]
File: core_backtrace

Comment 4 Ladyzillakilla 2013-06-23 02:47:41 UTC
Created attachment 764224 [details]
File: dso_list

Comment 5 Ladyzillakilla 2013-06-23 02:47:43 UTC
Created attachment 764225 [details]
File: environ

Comment 6 Ladyzillakilla 2013-06-23 02:47:46 UTC
Created attachment 764226 [details]
File: limits

Comment 7 Ladyzillakilla 2013-06-23 02:47:48 UTC
Created attachment 764227 [details]
File: maps

Comment 8 Ladyzillakilla 2013-06-23 02:47:51 UTC
Created attachment 764228 [details]
File: open_fds

Comment 9 Ladyzillakilla 2013-06-23 02:47:54 UTC
Created attachment 764229 [details]
File: proc_pid_status

Comment 10 Ladyzillakilla 2013-06-23 02:47:56 UTC
Created attachment 764230 [details]
File: var_log_messages

Comment 11 Peng Wu 2013-06-24 03:13:24 UTC
Please try ibus-libpinyin instead.

Comment 12 Fedora End Of Life 2013-07-04 02:44:38 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.